Subject: Re: Log is always empty in OSX

From: Johannes Sixt <[email-masked]>
Date: Fri, 27 May 2011 22:28:46 +0200

Am 27.05.2011 21:38, schrieb Diego Gonzalez:
> Hi guys,
> I'm using GIT in a specific folder on OSX and I'm not able to get any
> output from the git log command, do you know what it means? Is this a
> bug or just some missconfiguration. I've installed through Homebrew.
> 
> $uname -a
> Darwin Diego-Gonzalezs-MacBook-Pro.local 10.7.0 Darwin Kernel Version
> 10.7.0: Sat Jan 29 15:17:16 PST 2011; root:xnu-1504.9.37~1/
> RELEASE_I386 i386
> $ git version
> git version 1.7.5.2
> $ git log
> $ git commit -a -m "message"
> [master 445dab2] message
>  2 files changed, 1 insertions(+), 23 deletions(-)
>  mode change 100644 => 100755 c
>  delete mode 100644 ur.js
> $ git log
> $

Do you happen to have the environment variable LESS set to a combination
of options such that less terminates when it does not get a screenfull
of data to show? In this case, less would switch to the alternate
screen, shows the data, and before it terminates, it switches back to
the primary screen.

Try git --no-pager log; I bet it shows output.

-- Hannes